﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


//  Created by Daniel Du, DevTech

public partial class SwitchMapsUI : System.Web.UI.Page
{
    
    const string viewerPathSchema = "http://localhost/mapguide2010/mapviewernet/ajaxviewer.aspx?SESSION={0}&WEBLAYOUT={1}";
    
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            Utility utility = new Utility();

            string  session= Request.Form.Get("SESSION");
            Session["MgSession"] = session;
            if (session != null)
            {
                
                utility.InitializeWebTier(Request);
                utility.ConnectToServer(session);
            }

            ddlMaps.DataSource = utility.GetAllMaps();
            ddlMaps.DataTextField = "key";
            ddlMaps.DataValueField = "value";
            ddlMaps.DataBind();
        }




    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Write(ddlMaps.SelectedValue);

        Utility utility = new Utility();
        string session = Session["MgSession"].ToString();
        utility.ConnectToServer(session);

        string webLayout = Session["InitWebLayout"].ToString();
        string sessionLayout = utility.SwitchMapsInWebLayout(webLayout, session, ddlMaps.SelectedValue);

        string viewerPath = string.Format(viewerPathSchema, session, sessionLayout);

        string code = "<script>parent.parent.parent.frames('ViewerFrame').location.href = '" + viewerPath + "';  </script>";
        Response.Write(code);

    }
}
